package nodejs

import "testing"

func TestNodejs(t *testing.T) {
	// Create a new NodeJS stack instance
	nodejsStack := &NodeJS{}

	// Test the Name method
	expectedName := "Node.js"
	if nodejsStack.Name() != expectedName {
		t.Errorf("Expected name %s, got %s", expectedName, nodejsStack.Name())
	}

	// Test the Analyze method with a sample codebase path
	codebasePath := "/path/to/nodejs/project"
	stackName, err := nodejsStack.Analyze(codebasePath)
	if err != nil {
		t.Errorf("Unexpected error during analysis: %v", err)
	}
	if stackName != expectedName {
		t.Errorf("Expected stack name %s, got %s", expectedName, stackName)
	}
}
