#!/bin/bash

# Quick test script for Golang analyzer development
# This allows testing without making API calls

echo "🔬 Running Golang Analyzer Tests..."
echo "=================================="

# Run all Golang analyzer tests
cd /home/ray/byop/byop-engine
go test ./analyzer/stacks/golang/ -v

echo ""
echo "📊 Test Summary:"
echo "==============="

# Run specific test cases that validate our fixes
echo "✅ Testing main package detection for web-server structure..."
go test ./analyzer/stacks/golang/ -run TestWebServerProjectStructure -v

echo ""
echo "✅ Testing general main package detection..."
go test ./analyzer/stacks/golang/ -run TestFindMainPackage -v

echo ""
echo "✅ Testing LLB generation..."
go test ./analyzer/stacks/golang/ -run TestGenerateLLB -v

echo ""
echo "🎉 Development testing complete!"
echo ""
echo "💡 To test manually without API calls:"
echo "   go test ./analyzer/stacks/golang/ -v"
echo ""
echo "💡 To test specific functionality:"
echo "   go test ./analyzer/stacks/golang/ -run TestWebServerProjectStructure -v"
